<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <title>Root Phenotyping</title>
    <link rel="stylesheet" href="css/styles.css">
    <script type="text/javascript" src="/eel.js"></script><!---->
    <script type="text/javascript" src="js/gui.js" charset="utf-8"></script>
    <script type="text/javascript">
      function adjustBounds(e) {
        if(parseInt(e.value)>parseInt(e.max)) {
          e.value=e.max;
        } else if (parseInt(e.value)<parseInt(e.min)) {
          e.value=e.min;
        }
      }
    </script>
  </head>
  <body>
    <section class="mode_select tab">
      <h2>Mode Select</h2>
      <div class="mode_radio">
        <label class="button_container">
          <input type="radio" name="GUI_mode" value="inspect">
          <span class="button">Inspect</span>
        </label>
        <label class="button_container">
          <input type="radio" name="GUI_mode" value="add">
          <span class="button">Add Sample</span>
        </label>
        <label class="button_container">
          <input type="radio" name="GUI_mode" value="image">
          <span class="button">Image Sample</span>
        </label>
        <label class="button_container">
          <input type="radio" name="GUI_mode" value="move">
          <span class="button">Move Sample</span>
        </label>
        <label class="button_container">
          <input type="radio" name="GUI_mode" value="pickup">
          <span class="button">Pick-Up Sample</span>
        </label>
        <label class="button_container">
          <input type="radio" name="GUI_mode" value="put">
          <span class="button">Put Sample</span>
        </label>
      </div>
    </section>

    <section class="robot_GUI tab">
      <h2>Gripper</h2>
      <div id="gripper" class="slots">
        <!--<div class="slot">
          &#x1F331;
        </div><!---->
      </div>
      <h2>Rack</h2>
      <div id="rack" class="slots">
        <!--<div class="slot">

        </div>
        <div class="slot">
          &#x1F331;
        </div>
        <div class="slot">
          &#x1F331;
        </div>
        <div class="slot">
          &#x1F331;
        </div>
        <div class="slot">

        </div>
        <div class="slot">

        </div>
        <div class="slot">

        </div>
        <div class="slot">

        </div>
        <div class="slot">

        </div>
        <div class="slot">

        </div>
        <div class="slot">

        </div>
        <div class="slot">

        </div><!---->
      </div>
    </section>
    <section class="options tab">
      <h2>Other Options</h2>
      <div class="options_list">
        <div class="button_options sub_tab_full_width">
          <!--<button class="" type="button" name="" onclick="lights_on_cb()">Lights On</button>
          <button class="" type="button" name="" onclick="lights_off_cb()">Lights Off</button>-->
          <button class="" type="button" name="" onclick="home_cb()">Home Robot</button>
          <button class="" type="button" name="" onclick="pause_cb()">Pause</button>
          <button class="" type="button" name="" onclick="resume_cb()">Resume</button>
          <button class="" type="button" name="" onclick="exit_cb()">Exit</button>
        </div>

        <div class="time_set_form">
          <span>Day Cycle Start:</span>
          <div class="time_set">
            <div class="time_set_inputs">
              <input type="number" name="day_h" min="00" max="23" value="08" placeholder="hh" onchange="adjustBounds(this)">
              <p>:</p>
              <input type="number" name="day_m" min="00" max="59" value="00" placeholder="mm" onchange="adjustBounds(this)">
            </div>
            <button class="" type="button" name="set_day" onclick="set_day_time_cb()">Set</button>
          </div>
        </div>

        <div class="time_set_form sub_tab">
          <span>Night Cycle Start:</span>
          <div class="time_set">
            <div class="time_set_inputs">
              <input type="number" name="night_h" min="00" max="23" value="20" placeholder="hh" onchange="adjustBounds(this)">
              <p>:</p>
              <input type="number" name="night_m" min="00" max="59" value="00" placeholder="mm" onchange="adjustBounds(this)">
            </div>
            <button class="" type="button" name="set_night" onclick="set_night_time_cb()">Set</button>
          </div>
        </div>

        <div class="time_set_form sub_tab">
          <span>Rotate Samples Every:</span>
          <div class="time_set">
            <div class="time_set_inputs">
              <input type="number" name="rot_h" min="00" max="9999" value="20" placeholder="hh" onchange="adjustBounds(this)">
              <p>:</p>
              <input type="number" name="rot_m" min="00" max="59" value="00" placeholder="mm" onchange="adjustBounds(this)">
            </div>
            <!--<label class="switch">
              <input type="checkbox" name="set_rot_switch">
              <span class="slider"></span>
            </label>-->
            <button class="" type="button" name="set_rot" onclick="set_rot_time_cb()">Set</button>
          </div>
        </div>
      </div>
    </section>

    <!--<section class="inspection tab">
      <iframe src="sample_data.xml"></iframe>
    </section>-->

    <section class="console tab">
      <h2>Experiment Log</h2>
      <iframe name="console_frame" src="log.html"></iframe>
      <div class="console_gradient">

      </div>
    </section>

    <section id="new_sample_form">
      <form name="new_sample" action="#" method="post">
        <h2>New Sample:</h2>
        <button type="button" id="close_form_button">
          &#x2716;
        </button>
        <input type="text" name="target_slot" value="" hidden>
        <input type="text" name="sample_id" value="" placeholder="Sample Id">
        <!--<input type="text" name="sample_name" value="" placeholder="Sample Name">-->
        <input type="number" name="plant_count" min="0" value="" placeholder="Plant Count">
        <div class="recording_intervall_time_set">
          <div class="">
            <input type="number" name="rec_int_h" min="0" max="9999" value="" placeholder="hh" onchange="adjustBounds(this)">
            :
            <input type="number" name="rec_int_m" min="0" max="59" value="" placeholder="mm" onchange="adjustBounds(this)">
          </div>
          <span>*Record a sample each hh:mm</span>
        </div>
        <button type="button" name="add_sample">Add Sample</button>
      </form>
    </section><!---->
    <script type="text/javascript">
      r=new RobotGUI("img");
    </script>
    <!-- USE iframe TO DISPLAY METADATA -->
  </body>
</html>
